Bug 1093791 - "cannot find session" error when trying to create iSCSI storage pool
Summary: "cannot find session" error when trying to create iSCSI storage pool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 16:45 UTC by Ian Pilcher
Modified: 2014-05-08 10:09 UTC (History)
10 users (show)

Fixed In Version: libvirt-1.1.3.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:09:23 UTC


Attachments (Terms of Use)

Description Ian Pilcher 2014-05-02 16:45:46 UTC
libvirt-1.1.3.4-4.fc20.x86_64
virt-manager-1.0.1-2.fc20.noarch
libiscsi-1.9.0-4.fc20.x86_64

Trying to create an iSCSI storage pool.  (Using virt-manager, but I don't think that matters.)  Enter target information, click finish, and get the following error:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 91, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/createpool.py", line 431, in _async_pool_create
    poolobj = self._pool.install(create=True, meter=meter, build=build)
  File "/usr/share/virt-manager/virtinst/storage.py", line 498, in install
    raise RuntimeError(errmsg)
RuntimeError: Could not start storage pool: internal error: cannot find session

Log entries:

May 02 10:52:37 ian.penurio.us systemd[1]: Starting Virtualization daemon...
May 02 10:52:37 ian.penurio.us systemd[1]: Started Virtualization daemon.
May 02 10:52:40 ian.penurio.us libvirtd[16181]: libvirt version: 1.1.3.4, package: 4.fc20 (Fedora Project, 2014-03-18-18:53:51, buildvm-21.phx2.fedoraproject.org)
May 02 10:52:40 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode session) unexpected exit status 21
May 02 10:53:27 ian.penurio.us libvirtd[16181]: metadata not found: Requested metadata element is not present
May 02 10:53:50 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode session) unexpected exit status 21
May 02 10:53:50 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode node --portal n5550.penurio.us:3260,1 --targetname iqn.2013-08.us.penurio:n5550.libvirt0 --op update --name node.startup --value manual --interface libvirt-iface-1094cf00) unexpected exit status 21: iscsiadm: No records found
May 02 10:53:50 ian.penurio.us libvirtd[16181]: Unable to disable auto-login on iSCSI target n5550.penurio.us:3260,1: iqn.2013-08.us.penurio:n5550.libvirt0
May 02 10:53:50 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode node --portal n5550.penurio.us:3260,1 --targetname iqn.2013-08.us.penurio:n5550.rhev0 --op update --name node.startup --value manual --interface libvirt-iface-1094cf00) unexpected exit status 21: iscsiadm: No records found
May 02 10:53:50 ian.penurio.us libvirtd[16181]: Unable to disable auto-login on iSCSI target n5550.penurio.us:3260,1: iqn.2013-08.us.penurio:n5550.rhev0
May 02 10:53:50 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode node --portal n5550.penurio.us:3260,1 --targetname iqn.2013-08.us.penurio:n5550.libvirt0 --login --interface libvirt-iface-1094cf00) unexpected exit status 21: iscsiadm: No records found
May 02 10:55:44 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode session) unexpected exit status 21
May 02 10:55:45 ian.penurio.us libvirtd[16181]: internal error: cannot find session
May 02 11:08:05 ian.penurio.us libvirtd[16181]: internal error: Child process (/usr/sbin/iscsiadm --mode session) unexpected exit status 21
May 02 11:08:05 ian.penurio.us libvirtd[16181]: internal error: cannot find session

I can log in to the target from the command line:

[pilcher@ian ~]$ sudo /usr/sbin/iscsiadm --mode node --portal n5550.penurio.us:3260,1 --targetname iqn.2013-08.us.penurio:n5550.libvirt0 --op update --name node.startup --value manual --interface libvirt-iface-1094cf00 
[pilcher@ian ~]$ sudo /usr/sbin/iscsiadm --mode node --portal n5550.penurio.us:3260,1 --targetname iqn.2013-08.us.penurio:n5550.libvirt0 --login --interface libvirt-iface-1094cf00
Logging in to [iface: libvirt-iface-1094cf00, target: iqn.2013-08.us.penurio:n5550.libvirt0, portal: 172.31.248.1,3260] (multiple)
Login to [iface: libvirt-iface-1094cf00, target: iqn.2013-08.us.penurio:n5550.libvirt0, portal: 172.31.248.1,3260] successful.
[pilcher@ian ~]$ sudo iscsiadm --mode session
tcp: [8] 172.31.248.1:3260,1 iqn.2013-08.us.penurio:n5550.libvirt0 (non-flash)

I have verified that this is not SELinux-related (setenforce 0).

Comment 1 Ján Tomko 2014-05-02 19:17:38 UTC
Fixed upstream by:
commit a099cf9dee110a85a9838ee1c6fd645305c0285c
Author:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2014-02-21 10:35:57 +0100

    Ignore additional fields in iscsiadm output

git describe: v1.2.1-290-g57e17a7

Now backported to v1.1.3-maint as v1.1.3.4-21-ga099cf9
to v1.0.5-maint as v1.0.5.9-33-g8d4100b

Comment 2 Fedora Update System 2014-05-03 22:57:00 UTC
libvirt-1.1.3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvirt-1.1.3.5-1.fc20

Comment 3 Fedora Update System 2014-05-06 03:37:02 UTC
Package libvirt-1.1.3.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.1.3.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6018/libvirt-1.1.3.5-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-08 10:09:23 UTC
libvirt-1.1.3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.